Subject: bug#63170: closed (Re: bug#63170: The issue no longer exists.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Sep 2023 16:07:06 +0000

Your bug report

#63170: Getting error while trying to compile treesitter plugin for neovim.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63170: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63170
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63170: The issue no longer exists.
From: Simon Tournier <[email-masked]>
To: Apoorv <[email-masked]>, [email-masked]
Date: Tue, 05 Sep 2023 16:46:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Wed, 23 Aug 2023 at 06:19, Apoorv <[email-masked]> wrote:
> The issue seems to be fixed now. It's been a while actually, I just forgot
> to respond here.

Thanks for the notification.  So I am closing.

Cheers,
simon

Subject: Getting error while trying to compile treesitter plugin for neovim.
From: Apoorv <[email-masked]>
To: [email-masked]
Date: Sat, 29 Apr 2023 12:42:18 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using the kickstart.nvim configuration,
https://github.com/nvim-lua/kickstart.nvim

And while it tries to compile the treesitter plugin I am getting an error,
```
nvim-treesitter[python]: Error during compilation
In file included from src/scanner.cc:2:
In file included from /home/apoorv/.guix-home/profile/include/c++/vector:66:
In file included from
/home/apoorv/.guix-home/profile/include/c++/bits/refwrap.h:39:
/home/apoorv/.guix-home/profile/include/c++/bits/stl_function.h:439:11:
error: no member named '__is_constant_evaluated' in namespace 'std'
        if (std::__is_constant_evaluated())
            ~~~~~^
/home/apoorv/.guix-home/profile/include/c++/bits/stl_function.h:454:11:
error: no member named '__is_constant_evaluated' in namespace 'std'
        if (std::__is_constant_evaluated())
            ~~~~~^
/home/apoorv/.guix-home/profile/include/c++/bits/stl_function.h:469:11:
error: no member named '__is_constant_evaluated' in namespace 'std'
        if (std::__is_constant_evaluated())
            ~~~~~^
/home/apoorv/.guix-home/profile/include/c++/bits/stl_function.h:484:11:
error: no member named '__is_constant_evaluated' in namespace 'std'
        if (std::__is_constant_evaluated())
            ~~~~~^
4 errors generated.
```